Bug 114369 - four bugs at compile time
four bugs at compile time
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gtkhtml (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 07:22 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 19:25:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-27 07:22:24 EST
Description of problem:

I just tried to compile package gtkhtml-1.1.9-5 from Redhat
Fedora Core 1.

The compiler said

1.

htmlimage.c(538): warning #192: unrecognized character escape sequence

The source code is

                if (!html_engine_save_output_string (state, "
WIDTH=\"%d\%\"", image->specified_width))

I suspect the compiler is complaining about the \% sequence.
If you want a % in a printf string, use %%.

2.

htmlimage.c(546): warning #192: unrecognized character escape sequence

The source code is

                if (!html_engine_save_output_string (state, "
HEIGHT=\"%d\%\"", image->specified_height))

Duplicate.

3.

htmltext.c(1698): remark #592: variable "uc" is used before its value
is set

The source code is

        } while (exec && cur && *cur && uc != ' ' && uc != ENTITY_NBSP);

but earlier in the same function is the source code

        gunichar uc;

Suggest initialise uc to something sensible before first use.

4.

spell.c(71): remark #592: variable "replacement" is used before its
value is set

The source code is

                        GNOME_Spell_Dictionary_setCorrection
(sp->cd->dict, sp->misspeled_word, replacement, &ev);

Suggest initialise variable "replacement" before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Malcolm 2004-05-04 16:18:51 EDT
Looking at latest CVS, only 1 and 2 appear to still be applicable. 
I've posted a patch upstream.
Comment 2 Dave Malcolm 2004-05-06 19:25:27 EDT
The patch is now in upstream CVS
Comment 3 David Binderman 2004-11-19 04:46:18 EST
>The patch is now in upstream CVS

Interesting. 

I just checked Core 3 for this bug, and it's still there.

I'm not sure what needs to occur now to make sure this bug
is fixed.



Note You need to log in before you can comment on or make changes to this bug.